1. Volumo
  2. •
  3. Labels
  4. •
  5. Re.Face

Re.Face

Re.Face

77 albums213 tracks

Overview

ReleasesTracksAboutRelated

Latest releases

‌

Artwork for "Strix EP"
Featured

Strix EP

on Re.Face • 18 Sep 2026 • RFC076
Artists:
Rush
Genres:
Minimal / Deep Tech

3 tracks (21m 3s)

Strix (Original Mix)
Rush
Perception Shift (Original Mix)
Rush
WLS (Original Mix)
Rush

Artwork for "Man On The Moon EP"
Featured

Man On The Moon EP

on Re.Face • 21 Aug 2026 • RFC075
Artists:
DubTape
Genres:
Microhouse / Rominimal

2 tracks (16m 9s)

Man On The Moon (Original Mix)
DubTape
Black Sea (Original Mix)
DubTape

Artwork for "Bubbles EP"
Featured

Bubbles EP

on Re.Face • 08 May 2026 • RFC074
Artists:
Honeytrap + 1 more
Genres:
Microhouse / Rominimal

2 tracks (14m 47s)

Bubbles (Original Mix)
Honeytrap
What's That Called (Original Mix)
Honeytrap • Fresc

View all Re.Face releases
About Re.Face
‌

Genres

Tech House
Minimal / Deep Tech
Deep House
Microhouse / Rominimal
Techno (Raw, Deep, Dub)
Lounge / Chill Out
Breaks / Breakbeat

Related labels

‌

Loading...Loading...Loading...Loading...Loading...

Log in to use all features

Share feedback
Useful links
About VolumoOrder gift cardArtist & Label panel
Contact info and support
support@volumo.comFeedbackLegalPress kitHow to
Language
EnglishDeutschEspañolNederlandsFrançaisItaliano
In social
© 2022–2026 Volumo Music OÜ
Tallinn, Estonia • EU VAT number: EE102388455

This website uses cookies

We, Volumo, are the controller of your personal data, use cookies to personalize content and ads, to provide social media features, and to analyze our traffic. We also share information about your use of our website with our social media, advertising and analytics partners who may combine it with other information you have provided to them or that they have collected from your use of their services